Package ru.bitel.bgbilling.modules.softline.common.service

# Interface SoftLineProductService

public interface SoftLineProductService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteProduct(SoftLineProduct product)`
  Удаление продукта из биллинга и всей его истории.
  `void`
  `deleteProductCategory(SotfLineProductCategory productCategory)`
  `SotfLineProductCategory`
  `getCategoryOfProduct(int productCategoryId)`
  Получение категории продуктов по его id
  `SearchResult<SotfLineProductCategory>`
  `getProductCategories(Page page)`
  `byte[]`
  `getProductPicture(int id, SoftLineTypeProduct type)`
  `ru.bitel.bgbilling.common.dto.FileDto`
  `getProductPicture0(int id, SoftLineTypeProduct type)`
  Получение изображения продукта для отображения в ЛК
  `SearchResult<SoftLineProduct>`
  `getProducts(Page page)`
  `List<SoftLineProduct>`
  `getProductsOfCategory(int productCategoryId)`
  `void`
  `setProductPicture(int id, byte[] picture, SoftLineTypeProduct type)`
  `void`
  `updateProduct(SoftLineProduct product)`
  `void`
  `updateProductCategory(SotfLineProductCategory productCategory)`

- ## Method Details

  - ### getProducts

    SearchResult<SoftLineProduct> getProducts(Page page) throws ru.bitel.bgbilling.common.BGException
    Returns:
      получение списка продуктов
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateProduct

    void updateProduct(SoftLineProduct product) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteProduct

    void deleteProduct(SoftLineProduct product) throws ru.bitel.bgbilling.common.BGException
    Удаление продукта из биллинга и всей его истории.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductCategories

    SearchResult<SotfLineProductCategory> getProductCategories(Page page) throws ru.bitel.bgbilling.common.BGException
    Returns:
      список всех заведённых категорий продуктов
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateProductCategory

    void updateProductCategory(SotfLineProductCategory productCategory) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteProductCategory

    void deleteProductCategory(SotfLineProductCategory productCategory) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCategoryOfProduct

    SotfLineProductCategory getCategoryOfProduct(int productCategoryId) throws ru.bitel.bgbilling.common.BGException
    Получение категории продуктов по его id
    Parameters:
      `productCategoryId` - - id категории продуктов
    Returns:
      категория продуктов SoftLine
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductsOfCategory

    List<SoftLineProduct> getProductsOfCategory(int productCategoryId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `productCategoryId` - id категории
    Returns:
      список продуктов SoftLine для определённой категории
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setProductPicture

    void setProductPicture(int id, byte[] picture, SoftLineTypeProduct type) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductPicture

    byte[] getProductPicture(int id, SoftLineTypeProduct type) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductPicture0

    ru.bitel.bgbilling.common.dto.FileDto getProductPicture0(int id, SoftLineTypeProduct type) throws ru.bitel.bgbilling.common.BGException
    Получение изображения продукта для отображения в ЛК
    Parameters:
      `id` - id продукта или категории для которого получается изображение
      `fileData` - holder для результата
    Throws:
      `ru.bitel.bgbilling.common.BGException`